股票信息
提供稳定可靠的股票信息API接口,覆盖A股、美股、港股等多个市场。免费及付费接口支持获取实时行情、历史数据、分时K线、财务数据、公司基本面等。快速集成,免费试用。
GET
/stock/info请求参数
typestring必填市场类型
regionenum必填市场代码,支持HK(港股)、SH(上证)、SZ(深证)、US(美股)、SG(新加坡)、JP(日本)、TW(中国台湾)、IN(印度)、TH(泰国)、DE(德国)、MX(墨西哥)、MY(马来西亚)、TR(土耳其)、ES(西班牙)、NL(荷兰)、GB(英国)等
exchangestring上市交易所,相同市场存在多个股票产品时,可以通过 exchange 进行区分查询,默认为空时,只会返回主要上市交易所信息; exchange字典可以参考接口 /symbol/list 返回的股票清单
codestring必填产品代码
响应参数
codenumber响应code
msgstring响应描述
dataobject▶响应结果
cstring股票代码
nstring股票名称
tstring类型
estring交易所
sstring所属板块
istring所属行业
rstring区域/国家代码
bdstring公司简介
wustring公司网站URL
mcbstring总市值
tsostring总股本
petstring市盈率
fccstring货币代码
代码示例
import requests
url = "https://api.itick.org/stock/info?type=stock®ion=HK&code=700"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)查询 URL
GET
https://api.itick.org/stock/info?type=stock®ion=HK&code=700,即可运行查询
响应结果
{
"code": 0,
"msg": "ok",
"data": {
"c": "AAPL",
"n": "Apple Inc.",
"t": "stock",
"e": "NASDAQ",
"s": "Electronic Technology",
"i": "Telecommunications Equipment",
"r": "USD",
"bd": "Apple, Inc. engages in the design, manufacture, and sale of smartphones, personal computers, tablets, wearables and accessories, and other varieties of related services. It operates through the following geographical segments: Americas, Europe, Greater China, Japan, and Rest of Asia Pacific. The Americas segment includes North and South America. The Europe segment consists of European countries, as well as India, the Middle East, and Africa. The Greater China segment comprises China, Hong Kong, and Taiwan. The Rest of Asia Pacific segment includes Australia and Asian countries. Its products and services include iPhone, Mac, iPad, AirPods, Apple TV, Apple Watch, Beats products, AppleCare, iCloud, digital content stores, streaming, and licensing services. The company was founded by Steven Paul Jobs, Ronald Gerald Wayne, and Stephen G. Wozniak in April 1976 and is headquartered in Cupertino, CA.",
"wu": "http://www.apple.com",
"mcb": 3436885784335,
"tso": 14840389413,
"pet": 35.3865799154784,
"fcc": "USD"
}
}